Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.contrib.poibrowser
Class PropertySetDescriptor

    java.lang.Object
      org.apache.poi.contrib.poibrowser.DocumentDescriptor
          org.apache.poi.contrib.poibrowser.PropertySetDescriptor

public class PropertySetDescriptor
extends DocumentDescriptor

Describes the most important (whatever that is) features of a stream containing a `PropertySet`.

Since:
  2002-02-05
Version:
  $Id: PropertySetDescriptor.java,v 1.1.8.1 2004/02/22 11:22:14 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)

Field Summary
`protected PropertySet` | `propertySet`

Constructor Summary
`PropertySetDescriptor(java.lang.String name, POIFSDocumentPath path, DocumentInputStream stream, int nrOfBytesToDump)` Creates a `PropertySetDescriptor` by reading a `PropertySet` from a `DocumentInputStream`.

Method Summary
`PropertySet` | `getPropertySet()` Returns this `PropertySetDescriptor`'s `PropertySet`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertySet

    protected PropertySet propertySet

Constructor Detail

### PropertySetDescriptor

    public PropertySetDescriptor(java.lang.String name,
                                 POIFSDocumentPath path,
                                 DocumentInputStream stream,
                                 int nrOfBytesToDump)
                          throws NoPropertySetStreamException,
                                 MarkUnsupportedException,
                                 UnexpectedPropertySetTypeException,
                                 java.io.IOException

  Creates a `PropertySetDescriptor` by reading a `PropertySet` from a `DocumentInputStream`.

Parameters:
  `name` - The stream's name.
  `path` - The stream's path in the POI filesystem hierarchy.
  `stream` - The stream.

Method Detail

### getPropertySet

    public PropertySet getPropertySet()

  Returns this `PropertySetDescriptor`'s `PropertySet`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.